<?php

namespace App\Twig;

use App\Enum\FoodData;
use App\Enum\TicketData;
use Twig\Extension\AbstractExtension;
use Twig\TwigFilter;
use Twig\TwigFunction;

class Ticket extends AbstractExtension
{
    public function getFilters(): array
    {
        return [
            new TwigFilter('food', $this->getFoodName(...)),
            new TwigFilter('ticket', $this->getTicket(...)),

        ];
    }

    public function getFoodName(int $id): string
    {
        return FoodData::FOOD_DATA[$id] ?? 'N/A';
    }

    public function getTicket(int $id): array
    {
        return TicketData::TICKET_DATA[$id] ?? ['name' => 'N/A', 'price' => 'N/A'];
    }
}